package tests.fr.cnrs.mri.sijame;

import tests.fr.cnrs.mri.sijame.connection.SIJAMEClientTest;
import tests.fr.cnrs.mri.sijame.connection.SIJAMEServerTest;
import tests.fr.cnrs.mri.sijame.connection.CommunicationProcessorTest;
import tests.fr.cnrs.mri.sijame.messages.AnswerMessageTest;
import tests.fr.cnrs.mri.sijame.messages.MessageQueueTest;
import tests.fr.cnrs.mri.sijame.messages.MessageTest;
import tests.fr.cnrs.mri.sijame.messages.RequestMessageTest;
import junit.framework.JUnit4TestAdapter;
import junit.framework.Test;
import junit.framework.TestSuite;

public class SIJAMETests {

	public static Test suite() {
		TestSuite suite = new TestSuite("Test for tests.fr.cnrs.mri.sijame");
		suite.addTest(new JUnit4TestAdapter(SIJAMEClientTest.class));
		suite.addTest(new JUnit4TestAdapter(SIJAMEServerTest.class));
		suite.addTest(new JUnit4TestAdapter(CommunicationProcessorTest.class));
		suite.addTest(new JUnit4TestAdapter(MessageTest.class));
		suite.addTest(new JUnit4TestAdapter(RequestMessageTest.class));
		suite.addTest(new JUnit4TestAdapter(AnswerMessageTest.class));
		suite.addTest(new JUnit4TestAdapter(MessageQueueTest.class));
		//$JUnit-END$
		return suite;
	}

}
